GestorDeProyectos/urls.py
from django.conf.urls import url
from django.contrib import admin
from django.urls import path, include
from oauth_app.views import inicio
from django.contrib.auth.views import LogoutView

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', inicio, name='inicio'),
    path('accounts/', include('allauth.urls')),
    path('logout', LogoutView.as_view()),
    path('permisos/', include('oauth_app.urls')),
    path('proyectos/', include('Proyecto.urls')),

    #path denis, esta en mayuscula la P
    #path('Proyecto/', include('Proyecto.urls')),
]

Proyecto/urls.py
from django.urls import path
from .views import *
from Proyecto import views

app_name = 'Proyecto'
urlpatterns = [
    path('', views.index, name='index'),
    path('crear/', views.formCrearProyecto, name='crearProyecto'),
    path('crearRol/<int:id>', views.formCrearRolProyecto, name='crearRolProyecto'),
    path('editarRol/<int:id>', views.formEditarRolProyecto, name='editarRolProyecto'),
    path('verRol/<int:id>', views.formVerRolProyecto, name='verRolProyecto'),
    path('importar/<int:id>', views.listarProyectosRol, name='listarProyectosRol'),
    path('importar/<int:id>/<int:id_proyecto>', views.importarRolesProyectos, name='importarRolesProyectos'),
    path('editar/<int:id>', views.editProyecto, name='editarProyecto'),
    path('eliminar/<int:id>', views.deleteProyecto, name='eliminarProyecto'),
    path('guardarUs/<int:id>', FormularioNewUs, name="guardarUs"),
    path('usuarios/<int:id>', views.listaDeUsuarios, name="listaDeUsuarios"),

    # paths para cambiar el diseño de las pestañas para la vista de un proyecto
    path('ver/UsProyecto/<int:id>', views.UsProyecto, name="UsProyecto"),
    path('ver/DetallesProyecto/<int:id>', views.DetallesProyecto, name="DetallesProyecto"),
    path('ver/MiembrosProyecto/<int:id>', views.MiembrosProyecto, name="MiembrosProyecto"),
    path('ver/RolesProyecto/<int:id>', views.RolesProyecto, name="RolesProyecto"),
    # muestra el productBacklog de un proyecto
    path('ver/SprintProyecto/ListarUsSprintBacklog/<int:id>/<int:idSprint>', views.ListarUsSprintBacklog,
         name="ListarUsSprintBacklog"),
    # Agrega US como Sprint Planning
    path('ver/SprintProyecto/agregarSprintBacklog/<int:id>/<int:idSprint>/<int:idUs>', views.agregarSprintBacklog,
         name="agregarSprintBacklog"),
    # Para creacion de un nuevo sprint
    path('ver/SprintProyecto/Crear/<int:id>', views.CrearSprint, name="CrearSprint"),
    # listar sprint
    path('ver/SprintProyecto/<int:id>', views.ListarSprint, name="ListarSprint"),
    # ruta para verificar las cosas, previo a comenzar el sprint
    path('ver/SprintProyecto/VerificarSprint/<int:id>/<int:idSprint>', views.VerificarSprint, name="VerificarSprint"),

    # Url para agregar miembro a un proyecto (muestra solo los miembros que aun no estan en el proyecto)
    path('agregarMiembro/<int:id>/<int:socialUserId>', views.formCrearMiembro, name="agregarMiembros"),
    # Se muestran los datos del miembro del proyecto (rol y disponibilidad horaria)
    path('verMiembro/<int:id>/<int:miembroId>/<int:userAccId>', views.formVerMiembro, name="verMiembros"),
    # Se muestran los campos editables de un miembro en un proyecto (rol y disponibilidad horaria)
    path('editarMiembro/<int:id>/<int:miembroId>/<int:userAccId>', views.formEditarMiembro, name="editarMiembros"),
    # Boton para eliminar un miembro de un proyecto (rol y disponibilidad horaria)
    path('eliminarMiembro/<int:idProyecto>/<int:miembroId>', views.eliminarMiembroProyecto, name="eliminarMiembros"),

    # Boton para reemplazar un miembro de un proyecto
    path('reemplazarMiembro/<int:idProyecto>/<int:miembroViejoId>/<int:idPP>', views.reemplazarMiembroProyecto,
         name="reemplazarMiembro"),

    # Boton para reemplazar un miembro de un proyecto sin eliminarlo, solo reemplazarlo en una US
    path('reemplazarMiembroEnUS/<int:idProyecto>/<int:idUS>', views.reemplazarMiembroEnUSProyecto,
         name="reemplazarMiembroEnUS"),

    # Se reemplaza al US
    path('cambioDeMiembroAlReemplazarEnUs/<int:idProyecto>/<int:userNuevoId>/<int:idPP>',
         views.cambioDeMiembroAlReemplazarEnUs, name="cambioDeMiembroAlReemplazarEnUs"),

    # Al mostrarse las historias de usuario, se deben reemplazar por otro usuario activo del proyecto, esto posibles ususarios son mostrados con esta url
    path('cambioDeMiembroAlEliminar/<int:idProyecto>/<int:miembroViejoId>/<int:userNuevoId>/<int:idPP>',
         views.cambioDeMiembroAlEliminar, name="cambioDeMiembroAlEliminar"),

    # La ruta 'detalles' en donde mostraremos una página con los detalles de un us o registro
    # aqui se pasan por url el parametro que es el id que se requiere para recuperar un reigstro
    path('ver/detalle/<int:id>', UsDetalle.mostrarDetalle, name='detalle'),

    # La ruta 'actualizar' en donde mostraremos un formulario para actualizar un  registro de la Base de Datos
    # aqui se pasan por url el parametro que es el id que se requiere para recuperar un registro
    path('ver/actualizar/<int:id>', UsActualizar.editar, name='actualizar'),

    # para listar el SPrintBacklog de un sprint en planificacion
    path('ver/SprintProyecto/SprintBacklog/<int:id>/<int:idSprint>', views.ListarSprintBacklog,
         name="ListarSprintBacklog"),

    # para editar una planning poker
    path('ver/SprintProyecto/SprintBacklog/EditarPP/<int:id>/<int:idSprint>/<int:idPP>/<int:idUs>', views.EditarPP,
         name="EditarPlanningPoker"),

    # para quitar un US de un sprintbacklog
    path('ver/SprintProyecto/SprintBacklog/<int:id>/<int:idSprint>/<int:idPP>/<int:idUs>', views.QuitarSprintBacklog,
         name="QuitarSprintBacklog"),

    path('kanban/<int:id>/<int:volver>', views.indexKanban, name="verKanban"),

    # path de PRUEBA
    path('miembroprueba/<int:id>', views.obtenerMiembro),

    # path cuando se desea agregar actividad
    path('kanban/agregarActividad/<int:id>/<int:idSprint>/<int:idUs>/<int:volver>', views.agregarActividad,
         name='agregarActividad'),

    # path para cuando se desea ver el historial de modificaciones
    path('kanban/historialMod/<int:idUs>', views.historialMod, name='historialMod'),

    # path para cuando se desea ver el historial
    path('kanban/historialUs/<int:id>/<int:idUs>/<int:volver>/<int:kanbanvolver>/<int:idSprint>', views.historialUs,
         name='historialUs'),

    # Retorna un json con los datos necesarios para el chart
    path('burndownchartjson/<int:idSprint>', views.burndownChart, name='burndownChartjson'),

    # Despliega el burndown del sprint correspondiente
    path('burndownchart/<int:idSprint>', views.burndownChartIndex, name='burndownChart'),

    # Confirmacion de Finalizar un proyecto
    path('ver/confirmarFinalizarProyecto/<int:id>', views.confirmarFinalizarProyecto,
         name='confirmarFinalizarProyecto'),

    # Finalizar un proyecto, por el ID
    path('ver/finalizarProyecto/<int:id>', views.finalizarProyecto, name='finalizarProyecto'),

    # path para desplegar el resumen cuando se termina un sprint
    path('ver/resumenFinSprint/<int:id>/<int:idSprint>', views.resumenFinSprint, name='resumenFinSprint'),

    # path para terminar el sprint y hacer algunos ajustes en los datos
    path('ver/resumen/<int:id>/<int:idSprint>', views.resumenFinSprint, name='resumenFinSprint'),
    path('SprintProyecto/<int:id>/<int:idSprint>', views.finSprint, name='finSprint'),

    # path para editar una actividad
    path(
        'kanban/historialUs/editar/<int:id>/<int:idSprint>/<int:idUs>/<int:volver>/<int:idActividad>/<int:volverkanban>',
        views.editarActividadUs, name='editarActividadUs'),

    # path para los pdf
    # para listar el Sprint Backlog de un sprint en planificacion
    path('listUserStoryPdf/<int:idSprint>/', views.listUserStoryPdf, name="listUserStoryPdf"),

    # para listar el Product Backlog de un proyecto
    path('listProductBacklogPdf/<int:idProyecto>/', views.listProductBacklogPdf, name="listProductBacklogPdf"),

    # para listar los US del sprint actual de un proyecto
    path('listUsSprintActualPdf/<int:idProyecto>/', views.listUsSprintActualPdf, name="listUsSprintActualPdf"),

    # para ver los miembros de un sprint
    path('miembroSprint/<int:idSprint>/', views.miembroEnSprint, name="miembrosSprint"),

]

Proyecto/models.py
import datetime

from django.db import models

# Create your models here.
from django.db import models
from django.contrib.auth.models import Permission, User, GroupManager
from datetime import date, timezone
from django.contrib.auth.models import Permission, User, GroupManager
from django.utils import *

# Modelos para el modulo de proyecto

# Modelo de Proyecto
from django.utils.datetime_safe import time
from pygments.lexer import default

import Proyecto


def get_name(self):
    return self.first_name + " " + self.last_name + " | " + self.email


User.add_to_class("__str__", get_name)


class Proyectos(models.Model):
    # Lista de Estado que puede tener un Proyecto
    ESTADO = (
        ('P', 'Pendiente'),
        ('E', 'En Curso'),
        ('T', 'Terminado'),
        ('C', 'Cancelado'),
    )

    def __str__(self):
        return self.nombre

    nombre = models.CharField(max_length=150, unique=True)  # Nombre del Proyecto
    fechaInicio = models.DateField()  # Fecha de inicio del Proyecto
    fechaFin = models.DateField(null=True, blank=True)  # Fecha de Fin del Proyecto
    descripcion = models.CharField(max_length=450, null=True, blank=True)  # descripcion del Proyecto

    estado = models.CharField(max_length=12, choices=ESTADO, default='P')  # Estado de un Proyecto

    scrumMaster = models.ForeignKey(User, on_delete=models.RESTRICT)  # Scrum Master del Proyecto


# Modelo de Roles
class Roles(models.Model):
    idProyecto = models.ForeignKey(Proyectos, on_delete=models.RESTRICT)  # Proyecto al que pertence el rol
    nombre = models.CharField(max_length=250)  # Nombre del Rol, ejemplo scrum master
    descripcion = models.CharField(max_length=450)  # Descripcion del Rol

    # Campos de Permisos
    agregarUserStory = models.BooleanField(default=False)
    eliminarUserStory = models.BooleanField(default=False)
    modificarUserStory = models.BooleanField(default=False)
    agregarMiembro = models.BooleanField(default=False)
    modificarMiembro = models.BooleanField(default=False)
    eliminarMiembro = models.BooleanField(default=False)
    crearRol = models.BooleanField(default=False)
    modificarRol = models.BooleanField(default=False)
    eliminarRol = models.BooleanField(default=False)
    crearSprint = models.BooleanField(default=False)
    empezarSprint = models.BooleanField(default=False)
    finalizarSprint = models.BooleanField(default=False)
    agregarSprintBacklog = models.BooleanField(default=False)
    modificarSprintBacklog = models.BooleanField(default=False)

    def __str__(self):
        return self.nombre


# Modelos de Miembros
class miembros(models.Model):
    idUser = models.ForeignKey(User, on_delete=models.RESTRICT)  # Usuario asocicado como miembro a un proyecto
    idProyecto = models.ForeignKey(Proyectos, on_delete=models.RESTRICT)  # Proyecto al que esta asociado el miembro
    idRol = models.ForeignKey(Roles, on_delete=models.RESTRICT, null=True,
                              blank=True)  # Con que tiene asociado el Miembro
    activo = models.BooleanField(default=False)  # Estado del Miembro, si esta Activo == True sino == False

    # carga horaria dentro del proyecto
    lunes = models.FloatField(default=0, null=True, blank=True)
    martes = models.FloatField(default=0, null=True, blank=True)
    miercoles = models.FloatField(default=0, null=True, blank=True)
    jueves = models.FloatField(default=0, null=True, blank=True)
    viernes = models.FloatField(default=0, null=True, blank=True)
    sabado = models.FloatField(default=0, null=True, blank=True)
    domingo = models.FloatField(default=0, null=True, blank=True)

    def __str__(self):
        return self.idUser.first_name + " " + self.idUser.last_name + " | " + self.idUser.email


# Modelo de Historia de Usuario
class userStory(models.Model):
    # Lista de Estado del Proyecto
    ESTADOS = (
        ('N', 'Nuevo'),
        ('PP', 'En Planning Pocker'),
        ('P', 'Pendiente'),
        ('EP', 'En Proceso'),
        ('STSA', 'Sin Terminar Sprint Anterior'),
        ('A', 'Aprobado'),
        ('H', 'Hecho'),
        ('C', 'Cancelado'),
    )

    idProyecto = models.ForeignKey(Proyectos, on_delete=models.RESTRICT)  # Proyecto al que perteneces el US
    titulo = models.CharField(max_length=150)  # Titulo del US
    descripcion = models.CharField(max_length=450, null=True, blank=True)  # Descripcion del US

    estado = models.CharField(max_length=4, choices=ESTADOS, default='N')

    fechaIngreso = models.DateField(("Date"), default=date.today)

    # estado = models.IntegerField( default=1)  # Estado del US

    estimacion = models.FloatField(null=True, blank=True)  # Estimacion del US, (en Horas)
    tiempoDedicado = models.FloatField(default=0)  # Tiempo Dedicado al US, (en Horas)

    prioridad = models.IntegerField(null=True, blank=True)  # Prioridad del US, del 1 al 5
    encargado = models.ForeignKey(User, on_delete=models.RESTRICT, null=True,
                                  blank=True)  # Miembro encargado en trabajar el US


# Modelo de Sprint
class Sprint(models.Model):
    ESTADOS = (
        ('P', 'Pendiente'),
        ('E', 'En Curso'),
        ('T', 'Terminado'),
        ('C', 'Cancelado'),
    )

    idProyecto = models.ForeignKey(Proyectos, on_delete=models.RESTRICT)  # Proyecto al que perteneces el Sprint
    numero = models.IntegerField()  # numero de Sprint
    fechaInicio = models.DateField(null=True)  # Fecha de inicio del Sprint
    fechaFin = models.DateField(null=True)  # Fecha de inicio del Sprint
    estado = models.CharField(max_length=1, choices=ESTADOS, default='P')

    def __str__(self):
        return str(self.id)


# VERIFICAR CON EL RESTO QUE ESTE BIEN
class PlanningPoker(models.Model):
    ESTADOS = (
        ('N', 'Nuevo'),
        ('PP', 'En Planning Pocker'),
        ('P', 'Pendiente'),
        ('EP', 'En Proceso'),
        ('STSA', 'Sin Terminar Sprint Anterior'),
        ('A', 'Aprobado'),
        ('H', 'Hecho'),
        ('C', 'Cancelado'),
    )

    estimacionSM = models.FloatField()  # Estimacion en horas
    estimacionEncargado = models.FloatField(blank=True, null=True)  # Estimacion en horas
    estimacionFinal = models.FloatField(blank=True, null=True)
    prioridad = models.IntegerField()
    # miembroSM = models.ForeignKey(miembros, on_delete=models.RESTRICT)
    estado = models.CharField(max_length=4, choices=ESTADOS, default='N')
    miembroEncargado = models.ForeignKey(miembros,
                                         on_delete=models.RESTRICT)  # Al definirse debe de tener un encargado si o si
    idUs = models.ForeignKey(userStory, on_delete=models.RESTRICT)
    idSprint = models.ForeignKey(Sprint, on_delete=models.RESTRICT)  # Debe pertenecer a un sprintPlanning#o idSprint


# modelo para el "historial" de un Us
class ActividadUs(models.Model):
    # hora y fecha en que se registra una nueva actividad relacionada a la US
    fecha = models.DateField(default=timezone.now)
    # le quito de momento el campo hora
    # hora = models.TimeField(default=datetime.time)
    # descripcion del trabajo realizado sobre la US
    detalle = models.CharField(max_length=500)
    # tiempo dedicado al trabajo sobre la US
    duracion = models.FloatField()
    # miembro que realiza la actividad
    idMiembro = models.ForeignKey(miembros, on_delete=models.RESTRICT)
    # sobre que US se realiza la actividad
    idUs = models.ForeignKey(userStory, on_delete=models.RESTRICT)
    # en que sprint se realizo la actividad
    # hago que pueda ser null porque hay actividades que se deben registrar y no necesariamente estan dentro de un sprint, le doy un valor 0 al id en esos casos
    idSprint = models.ForeignKey(Sprint, on_delete=models.RESTRICT, null=True)

class HistorialModificacion(models.Model):
    #detalle, texto predefinido para saber que se realizo
    detalle = models.CharField(max_length=500)
    # US al que se hace refrencia
    idUs = models.ForeignKey(userStory, on_delete=models.RESTRICT)
    #el miembro que realiza el cambio, ya sea de estado u otro tipo de cambio
    idMiembro = models.ForeignKey(miembros, on_delete=models.RESTRICT)
    #fecha
    fecha = models.DateField(default=timezone.now)
    #hora
    hora = models.TimeField(default=datetime.time)

templates/Proyecto/index.html
{% extends 'base.html' %}
{% load custom_tags %}
{% block nav-proyecto %}
    <li class="nav-item active">
        <a class="nav-link" href="{% url 'Proyecto:index' %}">Proyecto <span class="sr-only">(current)</span> </a>
    </li>
{% endblock %}
{% block content %}

    <head>
        <style>
            .card:hover {
                transform: scale(1.05);
                box-shadow: 0 10px 20px rgba(0, 0, 0, .12), 0 4px 8px rgba(0, 0, 0, .06);
            }
        </style>
        <meta charset="UTF-8">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css"
              rel="stylesheet"
              integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0"
              crossorigin="anonymous">
        <title>Django Cards</title>
    </head>

    <body>
    <br>
    <div style="display: flex; flex-direction: row; flex-wrap: wrap">

        {#  Card Para crear un proyecto #}
        {% if perms.Proyecto.add_proyectos %}
            <div class="card" style="width: 18rem; margin: 10px">
                <img src="https://promocionmusical.es/wp-content/uploads/2017/12/organize_your_website_redesign-810x455.jpg"
                     class="card-img-top">
                <div class="card-body">
                    <div style="display: flex; flex-direction: row">
                        <h5 class="card-title">Crear Nuevo Proyecto</h5>
                    </div>
                    <p class="card-text">Inicie un nuevo proyecto ahora siguiendo la metodologia Scrum.</p>
                    <a href="{% url 'Proyecto:crearProyecto' %}" class="btn btn-primary">Nuevo Proyecto</a>
                </div>
            </div>
        {% endif %}
        {#  Termina el Card Para crear un proyecto #}

        {#  Cards que listan los proyectos #}
        {% for proyecto in listProyectos %}
            <div class="card" style="width: 18rem; margin: 10px">
                <img src="https://thumbs.dreamstime.com/b/lanzamiento-de-del-cohete-con-el-plan-empresarial-dinero-calendario-calculadora-realización-la-gestión-estrategia-idea-150266903.jpg"
                     class="card-img-top">
                <div class="card-body">
                    <div style="display: flex; flex-direction: row">
                        <h5 class="card-title">{{ proyecto.nombre }}</h5>
                    </div>
                    <p class="card-text">{{ proyecto.descripcion }}</p>

                    <a href="{% url 'Proyecto:DetallesProyecto' proyecto.id %}"
                       class="btn btn-primary"> Ver </a>

                    {% if proyecto.estado != 'T' %}
                        {% if  proyecto.scrumMaster.username == user.get_username %}
                            <a href="{% url 'Proyecto:editarProyecto' proyecto.id %}"
                               class="btn btn-primary {% if proyecto.estado == 'C' %} disabled {% endif %}">
                                Editar </a>
                        {% endif %}
                    {% endif %}
                    {% if not listaSprint|get_at_index:forloop.counter0 is none %}
                        <a href="{% url 'Proyecto:verKanban' listaSprint|get_at_index:forloop.counter0 0 %}"
                           class="btn btn-primary {% if proyecto.estado == 'C' %} disabled {% endif %}">
                            Kanban </a>
                    {% endif %}

                </div>
            </div>
        {% endfor %}
        {#  Fin de Cards que listan los proyectos #}

    </div>
    </body>
{% endblock %}

templates/Proyecto/viewSprint.html
{% extends 'Proyecto/viewProyectoBase.html' %}
{% load custom_tags %}
{% block tab-sprint %}
    <li class="nav-item">
        <a class="nav-link active" href="#">Sprint</a>
    </li>
{% endblock %}

{% block content-project %}
    <div>
        <div class="input-group">
            <input type="text" id="buscarSprint" onkeyup="buscarTabla('buscarSprint','tablaSprint')"
                   placeholder="Buscar por Numero"
                   title="Escriba un rol" class="form-control m-3" aria-describedby="inputGroup-sizing-lg">
        </div>
        <table class="table table-hover" id="tablaSprint">
            <thead class="thead-dark">{# cabecera de tabla #}
            <tr>
                <th onclick="sortTable(0,'tablaSprint','Numero')" width="15%">Numero</th>
                <th onclick="sortTable(1,'tablaSprint','String')">Fecha inicio</th>
                <th onclick="sortTable(2,'tablaSprint','String')">Fecha fin</th>
                <th onclick="sortTable(3,'tablaSprint','String')">Estado</th>
                <th>Acciones</th>
            </tr>
            </thead>
            <tbody>
            <!-- Aqui el ciclo si hace falta mostrar todos los sprints -->
            {% for sprint in listarSprint %}{# todas las US que vienen desde view.py #}
                <tr>
                    <td>{{ sprint.numero }}</td>
                    <td>{{ sprint.fechaInicio }}</td>
                    <td>{{ sprint.fechaFin }}</td>
                    <td>

                        {% if sprint.estado == 'P' %}
                            Pendiente
                        {% elif sprint.estado == 'E' %}
                            En curso
                        {% elif sprint.estado == 'T' %}
                            Terminado
                        {% elif sprint.estado == 'C' %}
                            Cancelado
                        {% endif %}
                    </td>
                    <td>
                        <form method="POST" action="">
                            {% csrf_token %}
                            <div class="btn-group">
                                {% if proyecto.estado != 'T' %}
                                    {% if sprint.estado == 'P' %}
                                        <a href="{% url 'Proyecto:ListarUsSprintBacklog' idProyecto sprint.id %}"
                                           title="Ver"
                                           type="button"
                                           class="btn btn-primary {% if permisos %}{% if not permisos|get_at_index:12 %}
                                        disabled {% endif %}{% endif %}">
                                            Agregar Us</a>

                                        <a href="{% url 'Proyecto:ListarSprintBacklog' idProyecto sprint.id %}"
                                           type="button"
                                           class="btn btn-primary ml-1">Ver SprintBacklog</a>

                                        <a href="{% url 'Proyecto:miembrosSprint' sprint.id %}"
                                           type="button"
                                           class="btn btn-primary ml-1">Miembros</a>

                                        {# aquie se pasan los parametros que se necistan en view.py #}
                                        {% if  bandSprint == False %}
                                            <a href="{% url 'Proyecto:VerificarSprint' idProyecto sprint.id %}"
                                               title="Editar"
                                               type="button"
                                               class="btn btn-success ml-1
                                                       {% if permisos %}{% if not permisos|get_at_index:10 %}
                                           disabled {% endif %}{% endif %}">
                                                Empezar Sprint </a>
                                        {% endif %}

                                    {% elif sprint.estado == 'E' %}

                                        <a href="{% url 'Proyecto:verKanban'  sprint.id 1 %}" title="Kanban"
                                           type="button"
                                           class="btn btn-primary ml-1">
                                            Kanban</a>

                                        <a href="{% url 'Proyecto:burndownChart'  sprint.id %}" title="BurndownChart"
                                           type="button" class="btn btn-primary ml-1">
                                            Burndown Chart</a>

                                        <a href="{% url 'Proyecto:ListarSprintBacklog' idProyecto sprint.id %}"
                                           type="button"
                                           class="btn btn-info ml-1">Ver SprintBacklog</a>

                                        <a href="{% url 'Proyecto:miembrosSprint' sprint.id %}"
                                           type="button"
                                           class="btn btn-info ml-1">Miembros</a>

                                        <a href="{% url 'Proyecto:resumenFinSprint' idProyecto sprint.id %}"
                                           title="Eliminar" type="button"
                                           class="btn btn-danger ml-1
                                                   {% if permisos %}{% if not permisos|get_at_index:11 %}
                                       disabled {% endif %}{% endif %}">
                                            Finalizar</a>

                                    {% else %}
                                        <a href="{% url 'Proyecto:verKanban'  sprint.id 1 %}" title="Kanban"
                                           type="button"
                                           class="btn btn-primary ml-1">
                                            Kanban</a>
                                        <a href="{% url 'Proyecto:burndownChart'  sprint.id %}" title="BurndownChart"
                                           type="button" class="btn btn-primary ml-1">
                                            Burndown Chart</a>
                                        <a href="{% url 'Proyecto:ListarSprintBacklog' idProyecto sprint.id %}"
                                           type="button"
                                           class="btn btn-primary ml-1">Ver SprintBacklog</a>

                                        <a href="{% url 'Proyecto:miembrosSprint' sprint.id %}"
                                           type="button"
                                           class="btn btn-primary ml-1">Miembros</a>

                                    {% endif %}
                                {% else %}
                                    <a href="{% url 'Proyecto:verKanban'  sprint.id 1 %}" title="Kanban" type="button"
                                       class="btn btn-primary ml-1">
                                        Kanban</a>
                                    <a href="{% url 'Proyecto:burndownChart'  sprint.id %}" title="BurndownChart"
                                       type="button" class="btn btn-primary ml-1">
                                        Burndown Chart</a>
                                    <a href="{% url 'Proyecto:ListarSprintBacklog' idProyecto sprint.id %}"
                                       type="button"
                                       class="btn btn-info ml-1">Ver SprintBacklog</a>
                                    <a href="{% url 'Proyecto:miembrosSprint' sprint.id %}"
                                           type="button"
                                           class="btn btn-primary ml-1">Miembros</a>

                                {% endif %}
                            </div>
                        </form>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    <div class="p-3">
        {% if proyecto.estado != 'T' %}
            <a class="btn btn-primary
                    {% if permisos %}{% if not permisos|get_at_index:9 %} disabled {% endif %}{% endif %}"
               href="{% url 'Proyecto:CrearSprint' idProyecto %}" role="button">
                Crear Nuevo Sprint</a>
        {% endif %}
        <a class="btn btn-secondary {% if not countSprintEnCurso > 0 %} disabled {% endif %}"
           href="{% url 'Proyecto:listUsSprintActualPdf' idProyecto %}"
           role="button">Sprint Actual PDF</a>
        <a class="btn btn-secondary center" href="{% url 'Proyecto:index' %} " role="button">Volver</a>
    </div>

{% endblock %}